You are not logged in.

#1 2012-11-14 00:49:33

tkdkop
Member
Registered: 2012-11-10
Posts: 2

Installing subversion

Hey,
So I'm trying to install E17 as my DE, and one of its dependencies is subversion. So I try to install subversion and it gives me an error when trying to get subversion-1.7.7-1-x86_64.pkg.tar.xz from the mirror sites. I have every mirror site uncommented in mirrorlist.d and it tries to download it from each mirror but at every site it returns the error 404 not found. So I went on to one of the sites in my browser and I discovered that the version on the site is subversion-1.7.7-2 and not -1 like pacman tries to install. Is there any way to work around this? Am I just crazy? Isn't it ironic that I can't download subversion, a program that handles different file versions, because it is looking for the wrong version?

Thanks for your help

Offline

#2 2012-11-14 00:53:56

jasonwryan
Forum & Wiki Admin
From: .nz
Registered: 2009-05-09
Posts: 18,580
Website

Re: Installing subversion

Resynch pacman's database to an up-to-date mirror, and then retry...


Arch + dwm   •   Mercurial repos  •   Github

Registered Linux User #482438

Offline

#3 2012-11-14 00:57:55

hiciu
Member
Registered: 2010-08-11
Posts: 77

Re: Installing subversion

Update your package list.

pacman -Sy

Since your package list is out of date, you should probably upgrade your system too (https://wiki.archlinux.org/index.php/Pa … g_packages).

Offline

#4 2012-11-14 01:00:51

tkdkop
Member
Registered: 2012-11-10
Posts: 2

Re: Installing subversion

Ah, so simple! Thank you!

Offline

Board footer

Powered by FluxBB